List WhatsApp media collections
curl --request GET \
--url https://api.pineyard.ai/whatsapp/collections \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"collections": [
{
"id": "<string>",
"tag": "<string>",
"description": "<string>",
"caption": "<string>",
"itemCount": 123,
"items": [
{
"id": "<string>",
"kind": "TEXT",
"fileName": "<string>",
"mimeType": "<string>",
"sizeBytes": 123,
"caption": "<string>",
"isUploaded": true,
"url": "<string>",
"sortOrder": 123,
"createdAt": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"templateId": "<string>",
"templateHeaderItemId": "<string>",
"templateSendMode": "SINGLE"
}
]
}Media collections
List WhatsApp media collections
GET
/
whatsapp
/
collections
List WhatsApp media collections
curl --request GET \
--url https://api.pineyard.ai/whatsapp/collections \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"collections": [
{
"id": "<string>",
"tag": "<string>",
"description": "<string>",
"caption": "<string>",
"itemCount": 123,
"items": [
{
"id": "<string>",
"kind": "TEXT",
"fileName": "<string>",
"mimeType": "<string>",
"sizeBytes": 123,
"caption": "<string>",
"isUploaded": true,
"url": "<string>",
"sortOrder": 123,
"createdAt": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"templateId": "<string>",
"templateHeaderItemId": "<string>",
"templateSendMode": "SINGLE"
}
]
}
